###############################################
# Do not Edit! Generated by:
# spec-builder version 0.14
###############################################

Name: mutter
Summary: Mutter Window Manager
Group: User Interface/Desktops
Version: 2.27.5_0.0
License: GPLv2+
URL: http://www.moblin.org
Release: 9.3.moblin2
Source0: mutter-%{version}.tar.bz2
Patch0: metacity-glib-log-handler.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: pkgconfig(clutter-1.0)
BuildRequires: pkgconfig(clutter-glx-1.0)
BuildRequires: pkgconfig(clutter-x11-1.0)
BuildRequires: pkgconfig(gl)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xdamage)
BuildRequires: pkgconfig(pango)
BuildRequires: pkgconfig(libstartup-notification-1.0)
BuildRequires: pkgconfig(xproto)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(gtk+-2.0)
BuildRequires: pkgconfig(gconf-2.0)
BuildRequires: pkgconfig(libglade-2.0)
BuildRequires: pkgconfig(xrandr)
BuildRequires: pkgconfig(xrender)
BuildRequires: pkgconfig(xcursor)
BuildRequires: pkgconfig(sm)

BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: libtool
BuildRequires: automake
BuildRequires: autoconf
BuildRequires: gettext
BuildRequires: gnome-common
BuildRequires: gnome-doc-utils
BuildRequires: zenity

Requires: startup-notification
Requires: GConf2
Requires: dbus-x11

%description
Mutter is Clutter-based compositing window manager for Gnome.

%package devel

Summary: Headers and libraries for Mutter
Group: Development/Libraries

Requires: %{name} >= %{version}

%description devel
This package contains the files needed for building Mutter plugins.

%prep
%setup -q -n mutter-%{version}
%patch0 -p1 -b .metacity-glib-log-handler

%build
%configure --with-clutter --disable-xinerama --without-introspection --disable-static
export LD_AS_NEEDED=1
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%find_lang mutter  || echo -n >> mutter.lang

mkdir -p %{buildroot}/%{_datadir}/doc/%{name}-%{version}
for f in `ls %{buildroot}/%{_datadir}/doc/`; do
	if [ -f %{buildroot}/%{_datadir}/doc/$f ]; then
		mv %{buildroot}/%{_datadir}/doc/$f %{buildroot}/%{_datadir}/doc/%{name}-%{version}
	fi
done

%clean
rm -rf %{buildroot}

%pre 
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/mutter.schemas \
    > /dev/null || :
fi

%preun 
if [ "$1" -gt 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule \
    %{_sysconfdir}/gconf/schemas/mutter.schemas \
    > /dev/null || :
fi

%post 
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule \
    %{_sysconfdir}/gconf/schemas/mutter.schemas \
  > /dev/null || :

%postun -p /sbin/ldconfig

%post devel -p /sbin/ldconfig

%postun devel -p /sbin/ldconfig

%files -f mutter.lang
%defattr(-,root,root,-)
%doc README AUTHORS COPYING NEWS HACKING doc/theme-format.txt rationales.txt
%doc %{_mandir}/man1/mutter.1.gz
%doc %{_mandir}/man1/mutter-message.1.gz
%{_bindir}/mutter
%{_bindir}/mutter-message
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/wm-properties/mutter-wm.desktop
%{_sysconfdir}/gconf/schemas/mutter.schemas
%{_datadir}/mutter
%{_libdir}/lib*.so.*
%{_libdir}/mutter/plugins/*.so

%files devel
%defattr(-,root,root,-)
%{_bindir}/mutter-theme-viewer
%{_bindir}/mutter-window-demo
%{_includedir}/*
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%doc %{_mandir}/man1/mutter-theme-viewer.1.gz
%doc %{_mandir}/man1/mutter-window-demo.1.gz


%changelog
* Wed Oct  7 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.5_0.0
- Release 2.27.5_0.0 Sync with upstream; MutterWindow::window-destroyed signal.
* Fri Oct  2 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.4_0.4
- Release 2.27.4_0.4 API to detach window pixmaps (needed for mutter-moblin 0.40.3)
* Fri Sep 25 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.4_0.3
- Release 2.27.4_0.3 API to query transiency hint (toward addressing MB#6438)
* Wed Sep 23 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.4_0.2
- Release 2.27.4_0.2 Fix application of custom moblin constraint (MB#5639)
* Thu Sep 17 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.4_0.1
- Release 2.27.4_0.1 MetaScreen::workarea-changed signal (needed for VKB); performance improvement
* Mon Sep 14 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.4_0.0
- Release 2.27.4_0.0 Sync up with upstream release; update moblin constraints per new spec
* Tue Aug 11 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.2_0.0
- Release 2.27.2_0.0 Sync up with upstream release; update moblin constraints per new spec
* Mon Aug 10 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.1_0.4
- Release 2.27.1_0.4 Sync with upstream (fix in focus stealing logic)
* Fri Aug  7 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.1~0.3
- Release 2.27.1~0.3 Sync with upstream
* Thu Aug  6 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.1~0.2
- Release 2.27.1~0.2 Fix for MB#3925
* Tue Aug  4 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.1~0.1
- Release 2.27.1~0.1 Sync up with upstream
* Thu Jul 30 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.22
- Release 2.27.0~0.22 Update for clutter-1.0
* Fri Jul 17 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.21
- Release 2.27.0~0.21 Added API to query _NET_WM_PID (needed for mutter-moblin 0.29.5)
* Thu Jul  9 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.20
- Release 2.27.0~0.20 Workaround for bug 3753
* Tue Jun 30 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.19
- Release 2.27.0~0.19 Fixes alpha pre-multiplication following clutter changes; Metacity -> Mutter rename
* Wed Jun 17 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.18
- Release 2.27.0~0.18 Fixes handling of size of glx texture in MutterWindow
* Mon Jun  8 2009 Rob Bradford <rob@linux.intel.com> - 2.27.0~0.17
- Update to Clutter 1.0 version
* Fri May 29 2009 Anas Nashif <anas.nashif@intel.com> - 2.27.0~0.15
- Fixed obsolete tags and versions
* Fri May 29 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.15
- Release 2.27.0~0.15 Set up cursor theme early.
* Thu May 28 2009 Anas Nashif <anas.nashif@intel.com> 2.27.0~0.12
- call it mutter
* Fri May 15 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.12
- Release 2.27.0~0.12 Ensure size of Hornsey and Browser is not messed with.
* Fri May 15 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.11
- Release 2.27.0~0.11 Fixes flaw in window sizing constraint.
* Fri May 15 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.10
- Release 2.27.0~0.10 Critial fixes for single instance applications, window sizing and zone switch effect.
* Thu May 14 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.9
- Release 2.27.0~0.9 Changes need to handle modal dialogs correctly.
* Tue May 12 2009 Damien Lespiau <damien.lespiau@intel.com> 
- Use LD_AS_NEEDED
* Tue May  5 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.8
- Release 2.27.0~0.8 Sync with upstream; changes need to fix bugs 1955.
* Wed Apr 29 2009 Tomas Frydrych <tf@linux.intel.com> 2.27.0~0.7
- Release 2.27.0~0.7 Sync with upstream; changes need to fix bugs 1686, 1688.
* Tue Apr  7 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.7
- Release 2.25.144~0.7 Fixes P1 bug 1264
* Thu Apr  2 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.6
- Release 2.25.144~0.6
* Thu Apr  2 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.6
- Release 2.25.144~0.6
* Tue Mar 31 2009 Damien Lespiau <damien.lespiau@intel.com> 2.25.144~0.5
- Add a patch to make metacity use the g_log infrastructure
* Thu Mar 19 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.5
- Release 2.25.144~0.5
* Tue Mar 17 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.4
- Release 2.25.144~0.4
* Thu Mar 12 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.3
- Release 2.25.144~0.3
* Tue Mar 10 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.2
- Release 2.25.144~0.2
* Thu Feb 19 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.144~0.1
- Release 2.25.144~0.1
* Thu Feb 12 2009 Tomas Frydrych <tf@linux.intel.com> 2.25.55~0.1
- Release 2.25.55~0.1
* Tue Feb 10 2009 Rusty Lynch <rusty.lynch@intel.com> 20090210
- Updating snapshot
* Fri Feb  6 2009 Rusty Lynch <rusty.lynch@intel.com> 0.0~20090205
- Make build use clutter-0.9
* Thu Feb  5 2009 Joshua Lock <josh@linux.intel.com> 0.0~20090205
- New snapshot with many fixes and improvements
- Remove crash.patch as this has been merged upstream
* Fri Jan 30 2009 Anas Nashif <anas.nashif@intel.com> 0.0~20090115
- Fixed spec to point to right source
* Fri Jan 30 2009 Joshua Lock <josh@linux.intel.com>
- Change version scheme
- Remove setting of gconf keys
* Mon Jan 19 2009 Anas Nashif <anas.nashif@intel.com> 20090115
- Fixed crash in metacity
* Thu Jan 15 2009 Joshua Lock <josh@linux.intel.com> 20090115
- A new snapshot which includes various fixes
* Fri Jan  9 2009 Rusty Lynch <rusty.lynch@intel.com> 20081218
- Adding session-managment support so that gnome-session doesn't timeout
  waiting for a response
* Wed Jan  7 2009 Rusty Lynch <rusty.lynch@intel.com> 20081218
- changing the default theme to something that currently exist in Moblin:2.0
* Mon Jan  5 2009 Rusty Lynch <rusty.lynch@intel.com> 20081218
- Adding a default config to turn off clutter support
* Fri Jan  2 2009 Rusty Lynch <rusty.lynch@intel.com> 20081218
- Fixing typo in %%post for setting default gconf settings
* Thu Jan  1 2009 Rusty Lynch <rusty.lynch@intel.com> 20081218
- Re-enabling schema installation
* Wed Dec 31 2008 Rusty Lynch <rusty.lynch@intel.com> 20081218
- Adding a configuration to disable schema installs from 'make install'
- Setting the default theme to Moblin
* Wed Dec 31 2008 Rusty Lynch <rusty.lynch@intel.com> 20081218
- Initial packaging of a clutter enabled metacity snapshot from 20081218
  originally done by Josh Lock
